--[[
	Config
	 - Engine configuration
	 - Game configuration
--]]

local engine = love;

function engine.conf(config)
    config.identity = "atos"                    -- The name of the save directory (string)
    config.version = "0.10.2"                -- The LÖVE version this game was made for (string)
    config.console = true                   -- Attach a console (boolean, Windows only)
    config.accelerometerjoystick = false      -- Enable the accelerometer on iOS and Android by exposing it as a Joystick (boolean)
    config.externalstorage = false           -- True to save files (and read from the save directory) in external storage on Android (boolean) 
    config.gammacorrect = false              -- Enable gamma-correct rendering, when supported by the system (boolean)
 
    config.window.title = "Atos"         -- The window title (string)
    config.window.icon = "atos_hat.png"                 -- Filepath to an image to use as the window's icon (string)
    config.window.width = 800                -- The window width (number)
    config.window.height = 600               -- The window height (number)
    config.window.borderless = false         -- Remove all border visuals from the window (boolean)
    config.window.resizable = false          -- Let the window be user-resizable (boolean)
    config.window.minwidth = 800               -- Minimum window width if the window is resizable (number)
    config.window.minheight = 600              -- Minimum window height if the window is resizable (number)
    config.window.fullscreen = false        -- Enable fullscreen (boolean)
    config.window.fullscreentype = "desktop" -- Choose between "desktop" fullscreen or "exclusive" fullscreen mode (string)
    config.window.vsync = true               -- Enable vertical sync (boolean)
    config.window.msaa = 0                   -- The number of samples to use with multi-sampled antialiasing (number)
    config.window.display = 1                -- Index of the monitor to show the window in (number)
    config.window.highdpi = false            -- Enable high-dpi mode for the window on a Retina display (boolean)
    config.window.x = nil                    -- The x-coordinate of the window's position in the specified display (number)
    config.window.y = nil                    -- The y-coordinate of the window's position in the specified display (number)
 
    config.modules.audio = true              -- Enable the audio module (boolean)
    config.modules.event = true              -- Enable the event module (boolean)
    config.modules.graphics = true           -- Enable the graphics module (boolean)
    config.modules.image = true              -- Enable the image module (boolean)
    config.modules.joystick = false           -- Enable the joystick module (boolean)
    config.modules.keyboard = true           -- Enable the keyboard module (boolean)
    config.modules.math = true               -- Enable the math module (boolean)
    config.modules.mouse = true              -- Enable the mouse module (boolean)
    config.modules.physics = false            -- Enable the physics module (boolean)
    config.modules.sound = true              -- Enable the sound module (boolean)
    config.modules.system = true             -- Enable the system module (boolean)
    config.modules.timer = true              -- Enable the timer module (boolean), Disabling it will result 0 delta time in love.update
    config.modules.touch = false              -- Enable the touch module (boolean)
    config.modules.video = false              -- Enable the video module (boolean)
    config.modules.window = true             -- Enable the window module (boolean)
    config.modules.thread = false             -- Enable the thread module (boolean)

    --if (config.window.fullscreen) then
        --config.width = 
end

game = {};

game.config = { -- Developer configuration
	version				= "1.0";
	platform			= "PC"; -- PC or MOBILE
}

game.defaultSettings = {
    
}

function PC()

	return (game.config.platform == "PC");

end

function MOBILE()

	return (game.config.platform == "MOBILE");

end