--[[
	Functions
	 - Global functions specific to Atos
--]]

-- Fade screen
function fadeEffect(duration, callback)

	local fade = 0;

	hook.add("RENDER_OVERLAY", "vgui_fade", function()

		engine.graphics.setColor( 0, 0, 0, fade );
		engine.graphics.rectangle( "fill", 0, 0, width(), height() );

	end )

	timer.create("vgui_fade", duration / 10, 10, function()

		fade = fade + 25.5;

	end )

	timer.simple(duration, function()

		hook.remove("RENDER_OVERLAY", "vgui_fade" );
		callback();

	end )

end

-- Convert spritesheet to sprite array
function spritesheetToSprites(spritesheet)

	local spriteW = 19;
	local spriteH = 30;
	local imgW, imgH = spritesheet:getDimensions();

	return {
		[1] = engine.graphics.newQuad(spriteW * 0, spriteH * 0, spriteW, spriteH, imgW, imgH);
		[2] = engine.graphics.newQuad(spriteW * 1, spriteH * 0, spriteW, spriteH, imgW, imgH);
		[3] = engine.graphics.newQuad(spriteW * 2, spriteH * 0, spriteW, spriteH, imgW, imgH);
		[4] = engine.graphics.newQuad(spriteW * 0, spriteH * 1, spriteW, spriteH, imgW, imgH);
		[5] = engine.graphics.newQuad(spriteW * 1, spriteH * 1, spriteW, spriteH, imgW, imgH);
		[6] = engine.graphics.newQuad(spriteW * 2, spriteH * 1, spriteW, spriteH, imgW, imgH);
		[7] = engine.graphics.newQuad(spriteW * 0, spriteH * 2, spriteW, spriteH, imgW, imgH);
		[8] = engine.graphics.newQuad(spriteW * 1, spriteH * 2, spriteW, spriteH, imgW, imgH);
		[9] = engine.graphics.newQuad(spriteW * 2, spriteH * 2, spriteW, spriteH, imgW, imgH);
		[10] = engine.graphics.newQuad(spriteW * 0, spriteH * 3, spriteW, spriteH, imgW, imgH);
		[11] = engine.graphics.newQuad(spriteW * 1, spriteH * 3, spriteW, spriteH, imgW, imgH);
		[12] = engine.graphics.newQuad(spriteW * 2, spriteH * 3, spriteW, spriteH, imgW, imgH);
		["image"] = spritesheet;
	};
end