--------------------------------------------
-- Object: World
-- Descr: Contains the whole playable world
-- Parent: -
--------------------------------------------

World = CreateClass();

function World:drawMap()
	self.map.draw();
end

function World:new()
	-- Map data
	self.currentMap = game.maps["test"];

	-- Player data
	local playerSpritesheet = engine.graphics.newImage("resources/images/characters/player_blue.png");
	playerSpritesheet = spritesheetToSprites(playerSpritesheet);
	local playerX = 96;
	local playerY = 96;

	-- Create objects with data from above
	self.map = Map(self.currentMap);
	self.player = Player(playerX, playerY, playerSpritesheet);

	-- Hook draw to draw function
	hook.add("RENDER_PLAY_MAP", "draw_world", function()
		self:draw();
	end);
end

function World:draw()
	-- Follow player with camera, and scale map
	local scale = width() * 0.06 / game.maps.metadata.tileSize;
	local cameraX = math.round(-self.player.x * scale + width() / 2);
	local cameraY = math.round(-self.player.y * scale + height() / 2);

	-- Set camera
	engine.graphics.push();
	engine.graphics.translate(cameraX, cameraY);
	engine.graphics.scale(scale, scale);

	-- Draw contents
	self.map:draw();
	self.player:draw();

	-- Unset camera
	engine.graphics.pop();
end

function World:freeze()

	self.player:freeze();

end

function World:unfreeze()

	self.player.unfreeze();

end