--[[
	Statemachine
	 - Set state function
	 - Default state
--]]

local state;

-- States
STATE_TITLESCREEN = require("game.states.titlescreen");
STATE_MAINMENU = require("game.states.mainmenu");
STATE_PLAY = require("game.states.play");
STATE_EXIT = require("game.states.exit");

-- Exit current state
local function statemachineExitCurrentState()
	if (isValid(state)) then
		state.exit();
	end
end

-- Setup first state
local function statemachineSetup()

	statemachineSetState(STATE_PLAY);

end

-- Sets the state
function statemachineSetState(newState)
	-- Exit current state
	statemachineExitCurrentState();

	-- Set state
	state = newState;

	-- Enter new state
	state.entry();
end

-- Run setup on game load
hook.add("GAME_LOAD", "statemachineSetup", statemachineSetup);