local state = {};

function state.entry()
	-- Variables
	local clickSound = engine.audio.newSource("resources/sound/effects/selection.wav", "static");
	local menuFont = engine.graphics.newFont("resources/fonts/vera.ttf", width() * 0.04);
	local menuLinks = { -- Syntax: {text object, next state}
		{engine.graphics.newText(menuFont, "Continue"), STATE_PLAY};
		{engine.graphics.newText(menuFont, "Return to title screen"), STATE_TITLESCREEN};
		{engine.graphics.newText(menuFont, "Exit"), STATE_EXIT};
	};
	local menuLinkX = width() * 0.06;

	-- Draw menu
	hook.add("RENDER_ELEMENTS", "mainmenu_draw", function()

		-- Draw menu links
		for k, v in ipairs(menuLinks) do
			-- Calc Y pos
			local menuLinkY = (height() * (0.1 + k * 0.1));

			-- Change color if hovered
			if (isHovered(menuLinkX, menuLinkY, v[1]:getWidth(), v[1]:getHeight())) then
				engine.graphics.setColor(234, 217, 107, 255); -- Yellow
			else
				engine.graphics.setColor(255, 255, 255, 255); -- White
			end

			-- Draw text
			engine.graphics.draw(v[1], menuLinkX, menuLinkY);
		end
	end);

	-- Check if option is clicked
	hook.add("GAME_MOUSEPRESSED", "mainmenu_mousepressed", function()

		for k, v in ipairs(menuLinks) do
			-- Calc Y pos
			local menuLinkY = (height() * (0.1 + k * 0.1));

			-- Change state when clicked
			if (isHovered(menuLinkX, menuLinkY, v[1]:getWidth(), v[1]:getHeight())) then
				clickSound:play();
				statemachineSetState(v[2]);
			end
		end
	end);
end

function state.exit()
	-- Remove hooks
	hook.remove("RENDER_ELEMENTS", "mainmenu_draw");
	hook.remove("GAME_MOUSEPRESSED", "mainmenu_mousepressed");
end

return state;