local state = {};

local continueMessage;

function state.entry()
	-- Variables
	local continueSound = engine.audio.newSource("resources/sound/effects/selection.wav", "static");
	local continueFont = engine.graphics.newFont("resources/fonts/sans.ttf", width() * 0.05);
	local continueTextY = 1;
	local continueTextSpeed = 0.06;
	local back;

	-- Calculate moving Y pos for text
	local function calcTextPos()
		if (back) then
			continueTextY = continueTextY - continueTextSpeed;

			if (continueTextY <= 0) then
				back = not back;
			end
		else
			continueTextY = continueTextY + continueTextSpeed;
			if (continueTextY >= 20) then

				back = not back;
			end
		end

		return continueTextY;
	end

	-- Determine continue message
	if (PC()) then
		continueMessage = "Click to start";
	elseif (MOBILE()) then
		continueMessage = "Tap to start";
	end

	-- Draw title screen
	hook.add("RENDER_ELEMENTS", "titlescreen_draw", function()
		-- Continue text
		engine.graphics.setColor( 255, 255, 255, 255 )
		engine.graphics.setFont(continueFont);
		engine.graphics.printf(continueMessage, 0, height() * 0.84 + calcTextPos(), width(), "center");
	end);

	-- Check if user clicked
	hook.add("GAME_MOUSEPRESSED", "titlescreen_mousepressed", function()
		-- Sound effect
		continueSound:play();

		-- Fade screen and change state
		fadeEffect(1, function()
			statemachineSetState(STATE_MAINMENU);
		end);
	end);
end

function state.exit()
	-- Remove hooks
	hook.remove("RENDER_ELEMENTS", "titlescreen_draw");
	hook.remove("GAME_MOUSEPRESSED", "titlescreen_mousepressed");
end

return state;