-- Returns an empty class with a constructor
function CreateClass()
	-- Class tables
	local main = {};
	local meta = {};

	-- Root functions
	function main:new(...)
	end

	function main:tostring()
		return "Object";
	end

	-- When constructor is called
	function meta:__call(...)
		-- Create instance from class
		local instance = {};

		for k, v in pairs(main) do
			instance[k] = v;
		end

		-- Call self-implemented constructor
		instance:new(...);

		-- Return instance table
		return instance;
	end

	-- Add metatable to main table
	setmetatable(main, meta);

	-- Return class table
	return main;
end