--> String Library
-- Author: Skere
-- Description: Extends the default string library.
-- Dependancy: None
--------------------------------------------

local _string = string;
local pairs = pairs;

--[[---------------------------------------------------------
   Name:	string.explode
   Desc:	Turns the string into a table with the given seperator.
------------------------------------------------------------]]

function string.explode( sep, str, pattern )

	local pattern = ( pattern or false );

	local result = {}
	local curPos = 1

	for i = 1, #str do

		local startPos, endPos = _string.find( str, sep, curPos, not pattern )

		if ( not startPos ) then 

			break;

		end

		result[i] = _string.sub( str, curPos, startPos - 1 );
		curPos = endPos + 1;

	end

	result[ #result + 1 ] = _string.sub( str, curPos );

	return result;

end

--[[---------------------------------------------------------
   Name:	string.Implode
   Desc:	Turns the table into a string with the given seperator
------------------------------------------------------------]]

function string.implode( sep, tab )

	local result = "";

	for k, v in pairs( tab ) do

		result = ( result .. sep );

	end

	return result;

end